Bug 476527

Summary: Review Request: python-zdaemon - Python Daemon Process Control Library
Product: [Fedora] Fedora Reporter: Conrad Meyer <konrad>
Component: Package ReviewAssignee: Fabian Affolter <mail>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mail, notting, tomspur
Target Milestone: ---Flags: mail: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-24 13:05:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 476524    
Bug Blocks: 476600    

Description Conrad Meyer 2008-12-15 07:47:46 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-zdaemon.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-zdaemon-2.0.2-1.fc9.src.rpm
Description:
Daemon process control library and tools for Unix-bases systems.
Comment 1 Fabian Affolter 2009-04-21 06:29:14 EDT
Version 2.0.4 was released

2.0.4 (2009-04-20)

    * Version 2.0.3 broke support for relative paths to the socket (-s option and socket-name parameter), now relative paths work again as in version 2.0.2.
    * Fixed change log format, made table of contents nicer.
    * Fixed author's email address.
    * Removed zpkg stuff.
Comment 3 Fabian Affolter 2009-05-06 04:40:24 EDT
Sorry, I will do the review in the next 12 hours.
Comment 4 Fabian Affolter 2009-05-07 12:04:57 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint python-zdaemon-2.0.4-1.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 noarch]$ rpmlint python-zdaemon-2.0.4-1.fc10.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: ZPLv2.1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 7d358297df480abe93b6565fc0213c34
     Build source:    7d358297df480abe93b6565fc0213c34
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [!] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [x] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [?] Reviewer should test that the package builds in mock
     Tested on: F10/i386
 [!] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  hhttp://koji.fedoraproject.org/koji/taskinfo?taskID=1340824
 [?] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I guess that at the moment not all dependencies are available in F10, F11, and rawhide.
Comment 5 Conrad Meyer 2009-05-08 15:50:20 EDT
So nothing to fix except finish getting the dependencies in, it looks like?

Thanks very much for the reviews!
Comment 6 Fabian Affolter 2009-06-18 08:55:23 EDT
Any progress with the dependencies?
Comment 7 Conrad Meyer 2009-06-18 10:15:10 EDT
python-ZConfig has been imported but not built yet; that was blocked on the zope-testing / zope-filesystem conflict, which has been fixed. I'll build it now.
Comment 8 Conrad Meyer 2009-06-18 10:16:12 EDT
The other dependencies are in Fedora and built.
Comment 9 Conrad Meyer 2009-06-18 12:46:01 EDT
python-ZConfig is built; everything should be ready.
Comment 10 Fabian Affolter 2009-07-06 18:44:12 EDT
Scratch build failed: http://koji.fedoraproject.org/koji/taskinfo?taskID=1457973
Comment 11 Fabian Affolter 2009-09-26 12:53:10 EDT
It's wired...I'm still not able to build this package on koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1709529
Comment 12 Conrad Meyer 2009-09-26 15:50:44 EDT
Ok, I will take a look later today.
Comment 13 Conrad Meyer 2009-09-27 13:44:20 EDT
Hm, weird, it's building ok locally. Maybe a missing BuildRequires.
Comment 14 Conrad Meyer 2009-09-28 15:49:05 EDT
Ok, I have it working here, however: when I build in mock, /usr/bin/zdaemon doesn't get created. When I build with plain rpmbuild, it does. So, I still have to figure out this, then I'll post a new spec/srpm.
Comment 15 Thomas Spura 2009-10-16 15:07:03 EDT
With BuildRequires:  python-setuptools it works:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1750614
Comment 16 Conrad Meyer 2009-10-16 15:13:29 EDT
No, it doesn't. Notice how nothing is installed to /usr/bin?
Comment 17 Conrad Meyer 2009-10-16 15:14:07 EDT
Oops, misread the build.log.
Comment 19 Fabian Affolter 2009-12-23 08:18:58 EST
Looks good, package APPROVED
Comment 20 Conrad Meyer 2009-12-23 19:30:10 EST
Thanks much

New Package CVS Request
=======================
Package Name: python-zdaemon
Short Description: Python Daemon Process Control Library
Owners: konradm
Branches: F-12 F-11
InitialCC:
Comment 21 Kevin Fenzi 2009-12-24 01:59:32 EST
cvs done.
Comment 22 Conrad Meyer 2009-12-24 13:05:52 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=1890575

Imported and built for rawhide.